<?php
 
 
 

namespace PhpWA\Protocol\Proto\AIRichResponseContentItemsMetadata;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class AIRichResponseContentItemMetadata extends \Google\Protobuf\Internal\Message
{
    protected $aIRichResponseContentItem;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getReelItem()
    {
        return $this->readOneof(1);
    }

    public function hasReelItem()
    {
        return $this->hasOneof(1);
    }

    




    public function setReelItem($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\AIRichResponseContentItemsMetadata\AIRichResponseReelItem::class);
        $this->writeOneof(1, $var);

        return $this;
    }

    


    public function getAIRichResponseContentItem()
    {
        return $this->whichOneof("aIRichResponseContentItem");
    }

}

